class StringUtils {
  /// Returns true is the input is either null, empty or contains only whitespaces.
  static bool isBlank({required String? input}) {
    if (input == null) {
      return true;
    }
    return input.trim().isEmpty;
  }

  /// Returns true is the input is neither null, empty or contains only whitespaces.
  static bool isNotBlank({required String? input}) {
    return !isBlank(input: input);
  }

  /// Returns an empty string.
  static String EMPTY_STRING = "";
}
